Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jini.discovery
Class MulticastMaxPacketSize

    java.lang.Object
      com.sun.jini.discovery.MulticastMaxPacketSize

All Implemented Interfaces:
  InvocationConstraint, Serializable

public final class MulticastMaxPacketSize
extends Object
implements InvocationConstraint, Serializable

Represents a constraint on the size (in bytes) of multicast packets used in the multicast request and multicast announcement discovery protocols. Lookup services and discovery clients can use this constraint to limit the size of multicast request and announcement packets sent, so as to avoid fragmentation or loss when the packets traverse routers. This constraint can also be used to control the size of the buffers used to receive incoming multicast request and announcement packets.

Since:
  2.0
See Also:
  Serialized Form

Field Summary
`static int` | `MIN_MAX_PACKET_SIZE` The minimum allowable multicast packet size limit.

Constructor Summary
`MulticastMaxPacketSize(int size)` Creates a `MulticastMaxPacketSize` constraint for the given multicast packet size limit.

Method Summary
`boolean` | `equals(Object obj)`
`int` | `getSize()` Returns the multicast packet size limit.
`int` | `hashCode()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### MIN_MAX_PACKET_SIZE

    public static final int MIN_MAX_PACKET_SIZE

  The minimum allowable multicast packet size limit.

  See Also:
    Constant Field Values

Constructor Detail

### MulticastMaxPacketSize

    public MulticastMaxPacketSize(int size)

  Creates a `MulticastMaxPacketSize` constraint for the given multicast packet size limit.

Parameters:
  `size` - the multicast packet size limit
Throws:
  `IllegalArgumentException` - if the given size is less than `MIN_MAX_PACKET_SIZE`.

Method Detail

### getSize

    public int getSize()

  Returns the multicast packet size limit.

  Returns:
    the multicast packet size limit

### hashCode

    public int hashCode()

### equals

    public boolean equals(Object obj)

### toString

    public String toString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Sun Microsystems, Inc. All rights reserved